v1.0.0
OpenAPI 3.1.0

List transactional messages

US region

Client Libraries

List transactional messages

Returns a list of your transactional messages—the transactional IDs that you use to trigger an individual transactional delivery. This endpoint does not return information about deliveries (instances of a message sent to a person) themselves.

Responses
  • application/json
  • 429

    Your request is over the 10-per-second limit.

Request Example for get/v1/transactional
curl https://api.customer.io/v1/transactional \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "messages": [
    {
      "id": 2,
      "name": "password reset",
      "description": "sends a temporary password and lets the customer reset their password.",
      "send_to_unsubscribed": true,
      "link_tracking": true,
      "open_tracking": true,
      "hide_message_body": true,
      "queue_drafts": true,
      "created_at": 1552341937,
      "updated_at": 1552341937
    }
  ]
}